View Issue Details

IDProjectCategoryView StatusLast Update
0004378SymmetricDSBugpublic2020-06-04 13:55
Reporterjosh-a-hicks Assigned Tojosh-a-hicks  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.25Fixed in Version3.9.25 
Summary0004378: Kafka support for multiple sources
DescriptionIf Kafka is utilized as a target node to support multiple sources it can result in MBean exceptions if the sources send data simultaneously to the Kafka node.

javax.management.InstanceAlreadyExistsException: kafka.producer:type=app-info

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 4750f6f5

2020-05-01 11:53:34

josh-a-hicks

Details Diff
0004378: Kafka support for multiple sources Affected Issues
0004378
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/KafkaWriterFilter.java Diff File

Issue History

Date Modified Username Field Change
2020-04-29 14:50 josh-a-hicks New Issue
2020-04-29 14:50 josh-a-hicks Status new => assigned
2020-04-29 14:50 josh-a-hicks Assigned To => josh-a-hicks
2020-05-01 11:54 josh-a-hicks Status assigned => resolved
2020-05-01 11:54 josh-a-hicks Resolution open => fixed
2020-05-01 11:54 josh-a-hicks Fixed in Version => 3.9.25
2020-05-26 12:36 elong Status resolved => closed
2020-06-04 13:55 josh-a-hicks Changeset attached => SymmetricDS 3.9 4750f6f5